> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch websiteupdate tag

> Updates an existing user tag or creates a new one for the current user.



## OpenAPI

````yaml https://api.seraph.si/json patch /website/update-tag
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/UzJjnZhe8f
  title: Seraph API
  version: '1.0'
servers:
  - url: api.seraph.si/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /website/update-tag:
    patch:
      tags:
        - Website
        - User Tags
      description: Updates an existing user tag or creates a new one for the current user.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.UserTagsBody'
        description: User tag details to update
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties:
                  type: boolean
                type: object
          description: Tag updated successfully
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Invalid request payload
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Forbidden - Insufficient permissions
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    models.UserTagsBody:
      properties:
        apiKey:
          type: string
        color:
          type: string
        enabled:
          type: boolean
        icon:
          type: string
        reset:
          type: boolean
        tag_name:
          type: string
        tag_options:
          items:
            properties:
              age:
                type: number
              color:
                type: string
              icon:
                type: string
              text:
                type: string
              textColor:
                type: string
            type: object
          type: array
          uniqueItems: false
        text:
          type: string
        textColor:
          type: string
        tooltip:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````